export const chatQueryKeys = {
  searchUsers: (token: string, search: string) => ['searchUsers', token, search] as const,
  getChatsList: (token: string, archive: 0 | 1) => ['getChatsList', token, archive] as const,
  getChatWith: (
    token: string,
    uid: number,
    no_of_messages: number,
    previous_than_message_id: number
  ) => ['getChatWith', token, uid, no_of_messages, previous_than_message_id] as const,
  sendMessage: () => ['sendMessage'] as const,
  messagesReceived: () => ['messagesReceived'] as const,
  messagesRead: () => ['messagesRead'] as const,
  reactToMessage: () => ['reactToMessage'] as const,
  deleteMessage: () => ['deleteMessage'] as const,
  setPin: () => ['setPin'] as const,
  setArchive: () => ['setArchive'] as const,
  setBlock: () => ['setBlock'] as const,
  setMute: () => ['setMute'] as const,
  deleteChat: () => ['deleteChat'] as const,
  unreactToMessage: () => ['unreactToMessage'] as const,
  getBlocked: (token: string) => ['getBlocked', token] as const,
  getUnreadMessagesCount: (token: string) => ['getUnreadMessagesCount', token] as const
};
